# include "delstar.h"

delete_missed (Catalog *catalog) {

  int i;
  int Nave, Nmeas, Nmiss;

  Nave = catalog[0].Naverage;
  Nmeas = catalog[0].Nmeasure;
  Nmiss = catalog[0].Nmissing;
  
  if (VERBOSE) fprintf (stderr, "starting with Nave, Nmeas, Nmiss: %d %d %d\n", Nave, Nmeas, Nmiss);

  /* set up references for missing to average */
  for (i = 0; i < Nave; i++) {
    catalog[0].average[i].Nn = 0;
  }
  REALLOCATE (catalog[0].missing, Missing, 1);
  catalog[0].Nmissing = 0;
  if (VERBOSE) fprintf (stderr, "  ending with Nave, Nmeas, Nmiss: %d %d %d\n", Nave, Nmeas, Nmiss);
}

